You may need the Java 1.4 plug-in (although some other jre/VM's work).
If you don't have the plugin and just want to see the older version it's still available.

Welcome to AJLogo version 2 Beta

Type 'help' in the main window for the basics.
Check out the AJLogo images in the Gallery
Also check out the Logo Links page
With AJLogo you can create applets by programing with Logo!
AJLogo Home Page